# Poco::Data

# class AbstractBinder

Library: Data
Package: DataCore
Header: Poco/Data/AbstractBinder.h

## Description

Interface for Binding data types to placeholders. The default placeholder format in the SQL query is ":name".

## Inheritance

Known Derived Classes: Poco::Data::MySQL::Binder, Poco::Data::ODBC::Binder, Poco::Data::SQLite::Binder

## Member Summary

Member Functions: bind

## Constructors

### AbstractBinder

AbstractBinder();

Creates the AbstractBinder.

## Destructor

### ~AbstractBinder

virtual ~AbstractBinder();

Destroys the AbstractBinder.

## Member Functions

### bind

virtual void bind(
std::size_t pos,
const Poco::Int8 & val
) = 0;

Binds an Int8.

### bind

virtual void bind(
std::size_t pos,
const Poco::UInt8 & val
) = 0;

Binds an UInt8.

### bind

virtual void bind(
std::size_t pos,
const Poco::Int16 & val
) = 0;

Binds an Int16.

### bind

virtual void bind(
std::size_t pos,
const Poco::UInt16 & val
) = 0;

Binds an UInt16.

### bind

virtual void bind(
std::size_t pos,
const Poco::Int32 & val
) = 0;

Binds an Int32.

### bind

virtual void bind(
std::size_t pos,
const Poco::UInt32 & val
) = 0;

Binds an UInt32.

### bind

virtual void bind(
std::size_t pos,
const Poco::Int64 & val
) = 0;

Binds an Int64.

### bind

virtual void bind(
std::size_t pos,
const Poco::UInt64 & val
) = 0;

Binds an UInt64.

### bind

virtual void bind(
std::size_t pos,
const bool & val
) = 0;

Binds a boolean.

### bind

virtual void bind(
std::size_t pos,
const float & val
) = 0;

Binds a float.

### bind

virtual void bind(
std::size_t pos,
const double & val
) = 0;

Binds a double.

### bind

virtual void bind(
std::size_t pos,
const char & val
) = 0;

Binds a single character.

### bind

virtual void bind(
std::size_t pos,
const char * const & pVal
) = 0;

Binds a const char ptr.

### bind

virtual void bind(
std::size_t pos,
const std::string & val
) = 0;

Binds a string.

### bind

virtual void bind(
std::size_t pos,
const BLOB & val
) = 0;

Binds a BLOB.